### Method

# Foundry DBusService query_address

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_dbus_service_query_address (
      FoundryDBusService* self
    )

#### Description [src]

Ensures the GDBusServer is running and provides the address.

Available since: 1.1

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a string containing the address, or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.